## com.google.javascript.jscomp.graph
Interface Graph.GraphEdge<N,E>

Type Parameters:
  `N` - Value type that the graph node stores.
  `E` - Value type that the graph edge stores.

All Superinterfaces:
  Annotatable

All Known Subinterfaces:
  DiGraph.DiGraphEdge<N,E>, UndiGraph.UndiGraphEdge<N,E>

Enclosing class:
  Graph<N,E>

    public static interface Graph.GraphEdge<N,E>

extends Annotatable

A generic edge.

Method Summary
`GraphNode<N,E>` | `getNodeA()`
`GraphNode<N,E>` | `getNodeB()`
`E` | `getValue()` Retrieves the edge's value.

Methods inherited from interface com.google.javascript.jscomp.graph.Annotatable
`getAnnotation, setAnnotation`

Method Detail

### getValue

    E getValue()

  Retrieves the edge's value.

  Returns:
    The value.

### getNodeA

    GraphNode<N,E> getNodeA()

### getNodeB

    GraphNode<N,E> getNodeB()